const { registerPaymentMethod } = window.wc.wcBlocksRegistry;
const { getSetting } = window.wc.wcSettings;

const getZondacryptoPayData = () => {
    const zondacryptopayData = getSetting('zondacryptopay_data', null);
    if (!zondacryptopayData) {
        throw new Error('zondacryptopay initialization data is not available');
    }
    return zondacryptopayData;
};

const label = window.wp.htmlEntities.decodeEntities( getZondacryptoPayData()?.title);

const Content = () => {
    return window.wp.htmlEntities.decodeEntities( getZondacryptoPayData()?.description );
};

registerPaymentMethod({
    name: 'zondacryptopay',
    label: Object( window.wp.element.createElement )( 'img', {src: getZondacryptoPayData()?.logo_url, alt: getZondacryptoPayData()?.title} ),
    ariaLabel: label,
    canMakePayment: () => true,
    content: Object( window.wp.element.createElement )(Content),
    edit: Object( window.wp.element.createElement )(Content),
    supports: {
        features: getZondacryptoPayData()?.supports ?? [],
    },
});
