<?php
/*
Plugin Name: WooCommerce zondacrypto pay
Plugin URI: https://zondacryptopay.com
Description: Add payment via zondacrypto pay to WooCommerce
Version: 1.1.0
Author: zondacrypto pay <pay@zondacrypto.com>
Author URI: https://zondacryptopay.com
Text Domain: zondacryptopay
*/

add_action('plugins_loaded', 'init_woocommerce_gateway_zondacryptopay', 0);

/**
 * Init function that runs after plugin install.
 */
function init_woocommerce_gateway_zondacryptopay()
{
	require_once __DIR__ . "/includes/libs/payment-core/vendor/autoload.php";

	if(!class_exists('WC_Payment_Gateway')) {
		return;
	}

	define('WOOCOMMERCE_ZONDACRYPTOPAY_PLUGIN_DIR', plugin_dir_path(__FILE__));
	define('WOOCOMMERCE_ZONDACRYPTOPAY_PLUGIN_URL', plugin_dir_url(__FILE__));
	define('WOOCOMMERCE_ZONDACRYPTOPAY_VERSION', '1.1.0' );

	load_plugin_textdomain('zondacryptopay', false, dirname(plugin_basename(__FILE__)) . '/langs/');

	require_once('includes/WCGatewayZondacryptoPay.php');

	add_filter('woocommerce_payment_gateways', 'add_zondacryptopay_gateway');
}

/**
 * @param $methods
 *
 * @return array
 */
function add_zondacryptopay_gateway($methods)
{
	$methods[] = 'WC_Gateway_ZondacryptoPay';

	return $methods;
}

function add_zondacryptopay_gateway_blocks_support()
{
    if ( class_exists( 'Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType' ) ) {
        require_once WOOCOMMERCE_ZONDACRYPTOPAY_PLUGIN_DIR . '/includes/WCGatewayZondacryptoPayBlocksSupport.php';
        add_action(
            'woocommerce_blocks_payment_method_type_registration',
            function ( Automattic\WooCommerce\Blocks\Payments\PaymentMethodRegistry $payment_method_registry ) {
                $payment_method_registry->register( new WC_Gateway_ZondacryptoPay_Blocks_Support() );
            }
        );
    }
}

add_action( 'woocommerce_blocks_loaded', 'add_zondacryptopay_gateway_blocks_support' );


